<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__avrc__msg__pass__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_avrc_msg_pass_t</compoundname>
    <includes local="no">wiced_bt_avrc_defs.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__avrc__msg__pass__t_1a14d5e1390010706c6e55e1991842d693" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__avrc__hdr__t">wiced_bt_avrc_hdr_t</ref></type>
        <definition>wiced_bt_avrc_hdr_t wiced_bt_avrc_msg_pass_t::hdr</definition>
        <argsstring />
        <name>hdr</name>
        <briefdescription>
<para>Message header (ctype, subunit_type, subunit_id unused) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="893" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="893" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__pass__t_1aba3b58d2dc42b2acf815d531d1ae66a9" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_pass_t::op_id</definition>
        <argsstring />
        <name>op_id</name>
        <briefdescription>
<para>Operation ID. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="894" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="894" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__pass__t_1a4bf0d8187e755dbf482f8cc6088d0e89" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_pass_t::state</definition>
        <argsstring />
        <name>state</name>
        <briefdescription>
<para>Keypress state. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="895" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="895" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__pass__t_1abb79960d31cacfa6b4651954f2254597" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t *</type>
        <definition>uint8_t* wiced_bt_avrc_msg_pass_t::p_pass_data</definition>
        <argsstring />
        <name>p_pass_data</name>
        <briefdescription>
<para>Pointer to data (valid only when the op_id is AVRC_ID_VENDOR) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="896" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="896" />
      </memberdef>
      <memberdef id="structwiced__bt__avrc__msg__pass__t_1a58725b9ffd45d76fb25a3ba3af261312" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_avrc_msg_pass_t::pass_len</definition>
        <argsstring />
        <name>pass_len</name>
        <briefdescription>
<para>Data length (valid only when the op_id is AVRC_ID_VENDOR) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="897" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="897" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>PASS THROUGH message. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="202">
        <label>wiced_bt_avrc_hdr_t</label>
        <link refid="structwiced__bt__avrc__hdr__t" />
      </node>
      <node id="201">
        <label>wiced_bt_avrc_msg_pass_t</label>
        <link refid="structwiced__bt__avrc__msg__pass__t" />
        <childnode refid="202" relation="usage">
          <edgelabel>hdr</edgelabel>
        </childnode>
      </node>
    </collaborationgraph>
    <location bodyend="898" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" bodystart="891" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_avrc_defs.h" line="892" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__avrc__msg__pass__t_1a14d5e1390010706c6e55e1991842d693" virt="non-virtual"><scope>wiced_bt_avrc_msg_pass_t</scope><name>hdr</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__pass__t_1aba3b58d2dc42b2acf815d531d1ae66a9" virt="non-virtual"><scope>wiced_bt_avrc_msg_pass_t</scope><name>op_id</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__pass__t_1abb79960d31cacfa6b4651954f2254597" virt="non-virtual"><scope>wiced_bt_avrc_msg_pass_t</scope><name>p_pass_data</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__pass__t_1a58725b9ffd45d76fb25a3ba3af261312" virt="non-virtual"><scope>wiced_bt_avrc_msg_pass_t</scope><name>pass_len</name></member>
      <member prot="public" refid="structwiced__bt__avrc__msg__pass__t_1a4bf0d8187e755dbf482f8cc6088d0e89" virt="non-virtual"><scope>wiced_bt_avrc_msg_pass_t</scope><name>state</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>